GroupImpl (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class GroupImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.GroupImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, Group, OpenAttrs, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    ExplicitGroupImpl, RealGroupImpl

      public class GroupImpl
      extends AnnotatedImpl
      implements Group

  An XML group(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty value (as xml) as the last "all" element
    `AnyDocument.Any` | `addNewAny()` Appends and returns a new empty value (as xml) as the last "any" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty value (as xml) as the last "choice" element
    `LocalElement` | `addNewElement()` Appends and returns a new empty value (as xml) as the last "element" element
    `GroupRef` | `addNewGroup()` Appends and returns a new empty value (as xml) as the last "group" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty value (as xml) as the last "sequence" element
    `All[]` | `getAllArray()` Gets array of all "all" elements
    `All` | `getAllArray(int i)` Gets ith "all" element
    `List<All>` | `getAllList()` Gets a List of "all" elements
    `AnyDocument.Any[]` | `getAnyArray()` Gets array of all "any" elements
    `AnyDocument.Any` | `getAnyArray(int i)` Gets ith "any" element
    `List<AnyDocument.Any>` | `getAnyList()` Gets a List of "any" elements
    `ExplicitGroup[]` | `getChoiceArray()` Gets array of all "choice" elements
    `ExplicitGroup` | `getChoiceArray(int i)` Gets ith "choice" element
    `List<ExplicitGroup>` | `getChoiceList()` Gets a List of "choice" elements
    `LocalElement[]` | `getElementArray()` Gets array of all "element" elements
    `LocalElement` | `getElementArray(int i)` Gets ith "element" element
    `List<LocalElement>` | `getElementList()` Gets a List of "element" elements
    `GroupRef[]` | `getGroupArray()` Gets array of all "group" elements
    `GroupRef` | `getGroupArray(int i)` Gets ith "group" element
    `List<GroupRef>` | `getGroupList()` Gets a List of "group" elements
    `Object` | `getMaxOccurs()` Gets the "maxOccurs" attribute
    `BigInteger` | `getMinOccurs()` Gets the "minOccurs" attribute
    `String` | `getName()` Gets the "name" attribute
    `QName` | `getRef()` Gets the "ref" attribute
    `ExplicitGroup[]` | `getSequenceArray()` Gets array of all "sequence" elements
    `ExplicitGroup` | `getSequenceArray(int i)` Gets ith "sequence" element
    `List<ExplicitGroup>` | `getSequenceList()` Gets a List of "sequence" elements
    `All` | `insertNewAll(int i)` Inserts and returns a new empty value (as xml) as the ith "all" element
    `AnyDocument.Any` | `insertNewAny(int i)` Inserts and returns a new empty value (as xml) as the ith "any" element
    `ExplicitGroup` | `insertNewChoice(int i)` Inserts and returns a new empty value (as xml) as the ith "choice" element
    `LocalElement` | `insertNewElement(int i)` Inserts and returns a new empty value (as xml) as the ith "element" element
    `GroupRef` | `insertNewGroup(int i)` Inserts and returns a new empty value (as xml) as the ith "group" element
    `ExplicitGroup` | `insertNewSequence(int i)` Inserts and returns a new empty value (as xml) as the ith "sequence" element
    `boolean` | `isSetMaxOccurs()` True if has "maxOccurs" attribute
    `boolean` | `isSetMinOccurs()` True if has "minOccurs" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `boolean` | `isSetRef()` True if has "ref" attribute
    `void` | `removeAll(int i)` Removes the ith "all" element
    `void` | `removeAny(int i)` Removes the ith "any" element
    `void` | `removeChoice(int i)` Removes the ith "choice" element
    `void` | `removeElement(int i)` Removes the ith "element" element
    `void` | `removeGroup(int i)` Removes the ith "group" element
    `void` | `removeSequence(int i)` Removes the ith "sequence" element
    `void` | `setAllArray(All[] allArray)` Sets array of all "all" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAllArray(int i, All all)` Sets ith "all" element
    `void` | `setAnyArray(AnyDocument.Any[] anyArray)` Sets array of all "any" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAnyArray(int i, AnyDocument.Any any)` Sets ith "any" element
    `void` | `setChoiceArray(ExplicitGroup[] choiceArray)` Sets array of all "choice" element WARNING: This method is not atomicaly synchronized.
    `void` | `setChoiceArray(int i, ExplicitGroup choice)` Sets ith "choice" element
    `void` | `setElementArray(int i, LocalElement element)` Sets ith "element" element
    `void` | `setElementArray(LocalElement[] elementArray)` Sets array of all "element" element WARNING: This method is not atomicaly synchronized.
    `void` | `setGroupArray(GroupRef[] groupArray)` Sets array of all "group" element WARNING: This method is not atomicaly synchronized.
    `void` | `setGroupArray(int i, GroupRef group)` Sets ith "group" element
    `void` | `setMaxOccurs(Object maxOccurs)` Sets the "maxOccurs" attribute
    `void` | `setMinOccurs(BigInteger minOccurs)` Sets the "minOccurs" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `setRef(QName ref)` Sets the "ref" attribute
    `void` | `setSequenceArray(ExplicitGroup[] sequenceArray)` Sets array of all "sequence" element WARNING: This method is not atomicaly synchronized.
    `void` | `setSequenceArray(int i, ExplicitGroup sequence)` Sets ith "sequence" element
    `int` | `sizeOfAllArray()` Returns number of "all" element
    `int` | `sizeOfAnyArray()` Returns number of "any" element
    `int` | `sizeOfChoiceArray()` Returns number of "choice" element
    `int` | `sizeOfElementArray()` Returns number of "element" element
    `int` | `sizeOfGroupArray()` Returns number of "group" element
    `int` | `sizeOfSequenceArray()` Returns number of "sequence" element
    `void` | `unsetMaxOccurs()` Unsets the "maxOccurs" attribute
    `void` | `unsetMinOccurs()` Unsets the "minOccurs" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `void` | `unsetRef()` Unsets the "ref" attribute
    `AllNNI` | `xgetMaxOccurs()` Gets (as xml) the "maxOccurs" attribute
    `XmlNonNegativeInteger` | `xgetMinOccurs()` Gets (as xml) the "minOccurs" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `XmlQName` | `xgetRef()` Gets (as xml) the "ref" attribute
    `void` | `xsetMaxOccurs(AllNNI maxOccurs)` Sets (as xml) the "maxOccurs" attribute
    `void` | `xsetMinOccurs(XmlNonNegativeInteger minOccurs)` Sets (as xml) the "minOccurs" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute
    `void` | `xsetRef(XmlQName ref)` Sets (as xml) the "ref" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### GroupImpl

          public GroupImpl(SchemaType sType)

  - ### Method Detail

    - #### getElementList

          public List<LocalElement> getElementList()

      Gets a List of "element" elements
      Specified by:
        `getElementList` in interface `Group`

    - #### getElementArray

          public LocalElement[] getElementArray()

      Gets array of all "element" elements
      Specified by:
        `getElementArray` in interface `Group`

    - #### getElementArray

          public LocalElement getElementArray(int i)

      Gets ith "element" element
      Specified by:
        `getElementArray` in interface `Group`

    - #### sizeOfElementArray

          public int sizeOfElementArray()

      Returns number of "element" element
      Specified by:
        `sizeOfElementArray` in interface `Group`

    - #### setElementArray

          public void setElementArray(LocalElement[] elementArray)

      Sets array of all "element" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setElementArray` in interface `Group`

    - #### setElementArray

          public void setElementArray(int i,
                                      LocalElement element)

      Sets ith "element" element
      Specified by:
        `setElementArray` in interface `Group`

    - #### insertNewElement

          public LocalElement insertNewElement(int i)

      Inserts and returns a new empty value (as xml) as the ith "element" element
      Specified by:
        `insertNewElement` in interface `Group`

    - #### addNewElement

          public LocalElement addNewElement()

      Appends and returns a new empty value (as xml) as the last "element" element
      Specified by:
        `addNewElement` in interface `Group`

    - #### removeElement

          public void removeElement(int i)

      Removes the ith "element" element
      Specified by:
        `removeElement` in interface `Group`

    - #### getGroupList

          public List<GroupRef> getGroupList()

      Gets a List of "group" elements
      Specified by:
        `getGroupList` in interface `Group`

    - #### getGroupArray

          public GroupRef[] getGroupArray()

      Gets array of all "group" elements
      Specified by:
        `getGroupArray` in interface `Group`

    - #### getGroupArray

          public GroupRef getGroupArray(int i)

      Gets ith "group" element
      Specified by:
        `getGroupArray` in interface `Group`

    - #### sizeOfGroupArray

          public int sizeOfGroupArray()

      Returns number of "group" element
      Specified by:
        `sizeOfGroupArray` in interface `Group`

    - #### setGroupArray

          public void setGroupArray(GroupRef[] groupArray)

      Sets array of all "group" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setGroupArray` in interface `Group`

    - #### setGroupArray

          public void setGroupArray(int i,
                                    GroupRef group)

      Sets ith "group" element
      Specified by:
        `setGroupArray` in interface `Group`

    - #### insertNewGroup

          public GroupRef insertNewGroup(int i)

      Inserts and returns a new empty value (as xml) as the ith "group" element
      Specified by:
        `insertNewGroup` in interface `Group`

    - #### addNewGroup

          public GroupRef addNewGroup()

      Appends and returns a new empty value (as xml) as the last "group" element
      Specified by:
        `addNewGroup` in interface `Group`

    - #### removeGroup

          public void removeGroup(int i)

      Removes the ith "group" element
      Specified by:
        `removeGroup` in interface `Group`

    - #### getAllList

          public List<All> getAllList()

      Gets a List of "all" elements
      Specified by:
        `getAllList` in interface `Group`

    - #### getAllArray

          public All[] getAllArray()

      Gets array of all "all" elements
      Specified by:
        `getAllArray` in interface `Group`

    - #### getAllArray

          public All getAllArray(int i)

      Gets ith "all" element
      Specified by:
        `getAllArray` in interface `Group`

    - #### sizeOfAllArray

          public int sizeOfAllArray()

      Returns number of "all" element
      Specified by:
        `sizeOfAllArray` in interface `Group`

    - #### setAllArray

          public void setAllArray(All[] allArray)

      Sets array of all "all" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAllArray` in interface `Group`

    - #### setAllArray

          public void setAllArray(int i,
                                  All all)

      Sets ith "all" element
      Specified by:
        `setAllArray` in interface `Group`

    - #### insertNewAll

          public All insertNewAll(int i)

      Inserts and returns a new empty value (as xml) as the ith "all" element
      Specified by:
        `insertNewAll` in interface `Group`

    - #### addNewAll

          public All addNewAll()

      Appends and returns a new empty value (as xml) as the last "all" element
      Specified by:
        `addNewAll` in interface `Group`

    - #### removeAll

          public void removeAll(int i)

      Removes the ith "all" element
      Specified by:
        `removeAll` in interface `Group`

    - #### getChoiceList

          public List<ExplicitGroup> getChoiceList()

      Gets a List of "choice" elements
      Specified by:
        `getChoiceList` in interface `Group`

    - #### getChoiceArray

          public ExplicitGroup[] getChoiceArray()

      Gets array of all "choice" elements
      Specified by:
        `getChoiceArray` in interface `Group`

    - #### getChoiceArray

          public ExplicitGroup getChoiceArray(int i)

      Gets ith "choice" element
      Specified by:
        `getChoiceArray` in interface `Group`

    - #### sizeOfChoiceArray

          public int sizeOfChoiceArray()

      Returns number of "choice" element
      Specified by:
        `sizeOfChoiceArray` in interface `Group`

    - #### setChoiceArray

          public void setChoiceArray(ExplicitGroup[] choiceArray)

      Sets array of all "choice" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setChoiceArray` in interface `Group`

    - #### setChoiceArray

          public void setChoiceArray(int i,
                                     ExplicitGroup choice)

      Sets ith "choice" element
      Specified by:
        `setChoiceArray` in interface `Group`

    - #### insertNewChoice

          public ExplicitGroup insertNewChoice(int i)

      Inserts and returns a new empty value (as xml) as the ith "choice" element
      Specified by:
        `insertNewChoice` in interface `Group`

    - #### addNewChoice

          public ExplicitGroup addNewChoice()

      Appends and returns a new empty value (as xml) as the last "choice" element
      Specified by:
        `addNewChoice` in interface `Group`

    - #### removeChoice

          public void removeChoice(int i)

      Removes the ith "choice" element
      Specified by:
        `removeChoice` in interface `Group`

    - #### getSequenceList

          public List<ExplicitGroup> getSequenceList()

      Gets a List of "sequence" elements
      Specified by:
        `getSequenceList` in interface `Group`

    - #### getSequenceArray

          public ExplicitGroup[] getSequenceArray()

      Gets array of all "sequence" elements
      Specified by:
        `getSequenceArray` in interface `Group`

    - #### getSequenceArray

          public ExplicitGroup getSequenceArray(int i)

      Gets ith "sequence" element
      Specified by:
        `getSequenceArray` in interface `Group`

    - #### sizeOfSequenceArray

          public int sizeOfSequenceArray()

      Returns number of "sequence" element
      Specified by:
        `sizeOfSequenceArray` in interface `Group`

    - #### setSequenceArray

          public void setSequenceArray(ExplicitGroup[] sequenceArray)

      Sets array of all "sequence" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setSequenceArray` in interface `Group`

    - #### setSequenceArray

          public void setSequenceArray(int i,
                                       ExplicitGroup sequence)

      Sets ith "sequence" element
      Specified by:
        `setSequenceArray` in interface `Group`

    - #### insertNewSequence

          public ExplicitGroup insertNewSequence(int i)

      Inserts and returns a new empty value (as xml) as the ith "sequence" element
      Specified by:
        `insertNewSequence` in interface `Group`

    - #### addNewSequence

          public ExplicitGroup addNewSequence()

      Appends and returns a new empty value (as xml) as the last "sequence" element
      Specified by:
        `addNewSequence` in interface `Group`

    - #### removeSequence

          public void removeSequence(int i)

      Removes the ith "sequence" element
      Specified by:
        `removeSequence` in interface `Group`

    - #### getAnyList

          public List<AnyDocument.Any> getAnyList()

      Gets a List of "any" elements
      Specified by:
        `getAnyList` in interface `Group`

    - #### getAnyArray

          public AnyDocument.Any[] getAnyArray()

      Gets array of all "any" elements
      Specified by:
        `getAnyArray` in interface `Group`

    - #### getAnyArray

          public AnyDocument.Any getAnyArray(int i)

      Gets ith "any" element
      Specified by:
        `getAnyArray` in interface `Group`

    - #### sizeOfAnyArray

          public int sizeOfAnyArray()

      Returns number of "any" element
      Specified by:
        `sizeOfAnyArray` in interface `Group`

    - #### setAnyArray

          public void setAnyArray(AnyDocument.Any[] anyArray)

      Sets array of all "any" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAnyArray` in interface `Group`

    - #### setAnyArray

          public void setAnyArray(int i,
                                  AnyDocument.Any any)

      Sets ith "any" element
      Specified by:
        `setAnyArray` in interface `Group`

    - #### insertNewAny

          public AnyDocument.Any insertNewAny(int i)

      Inserts and returns a new empty value (as xml) as the ith "any" element
      Specified by:
        `insertNewAny` in interface `Group`

    - #### addNewAny

          public AnyDocument.Any addNewAny()

      Appends and returns a new empty value (as xml) as the last "any" element
      Specified by:
        `addNewAny` in interface `Group`

    - #### removeAny

          public void removeAny(int i)

      Removes the ith "any" element
      Specified by:
        `removeAny` in interface `Group`

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Group`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Group`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Group`

    - #### setName

          public void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Group`

    - #### xsetName

          public void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Group`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Group`

    - #### getRef

          public QName getRef()

      Gets the "ref" attribute
      Specified by:
        `getRef` in interface `Group`

    - #### xgetRef

          public XmlQName xgetRef()

      Gets (as xml) the "ref" attribute
      Specified by:
        `xgetRef` in interface `Group`

    - #### isSetRef

          public boolean isSetRef()

      True if has "ref" attribute
      Specified by:
        `isSetRef` in interface `Group`

    - #### setRef

          public void setRef(QName ref)

      Sets the "ref" attribute
      Specified by:
        `setRef` in interface `Group`

    - #### xsetRef

          public void xsetRef(XmlQName ref)

      Sets (as xml) the "ref" attribute
      Specified by:
        `xsetRef` in interface `Group`

    - #### unsetRef

          public void unsetRef()

      Unsets the "ref" attribute
      Specified by:
        `unsetRef` in interface `Group`

    - #### getMinOccurs

          public BigInteger getMinOccurs()

      Gets the "minOccurs" attribute
      Specified by:
        `getMinOccurs` in interface `Group`

    - #### xgetMinOccurs

          public XmlNonNegativeInteger xgetMinOccurs()

      Gets (as xml) the "minOccurs" attribute
      Specified by:
        `xgetMinOccurs` in interface `Group`

    - #### isSetMinOccurs

          public boolean isSetMinOccurs()

      True if has "minOccurs" attribute
      Specified by:
        `isSetMinOccurs` in interface `Group`

    - #### setMinOccurs

          public void setMinOccurs(BigInteger minOccurs)

      Sets the "minOccurs" attribute
      Specified by:
        `setMinOccurs` in interface `Group`

    - #### xsetMinOccurs

          public void xsetMinOccurs(XmlNonNegativeInteger minOccurs)

      Sets (as xml) the "minOccurs" attribute
      Specified by:
        `xsetMinOccurs` in interface `Group`

    - #### unsetMinOccurs

          public void unsetMinOccurs()

      Unsets the "minOccurs" attribute
      Specified by:
        `unsetMinOccurs` in interface `Group`

    - #### getMaxOccurs

          public Object getMaxOccurs()

      Gets the "maxOccurs" attribute
      Specified by:
        `getMaxOccurs` in interface `Group`

    - #### xgetMaxOccurs

          public AllNNI xgetMaxOccurs()

      Gets (as xml) the "maxOccurs" attribute
      Specified by:
        `xgetMaxOccurs` in interface `Group`

    - #### isSetMaxOccurs

          public boolean isSetMaxOccurs()

      True if has "maxOccurs" attribute
      Specified by:
        `isSetMaxOccurs` in interface `Group`

    - #### setMaxOccurs

          public void setMaxOccurs(Object maxOccurs)

      Sets the "maxOccurs" attribute
      Specified by:
        `setMaxOccurs` in interface `Group`

    - #### xsetMaxOccurs

          public void xsetMaxOccurs(AllNNI maxOccurs)

      Sets (as xml) the "maxOccurs" attribute
      Specified by:
        `xsetMaxOccurs` in interface `Group`

    - #### unsetMaxOccurs

          public void unsetMaxOccurs()

      Unsets the "maxOccurs" attribute
      Specified by:
        `unsetMaxOccurs` in interface `Group`